import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { reformateObjectRes } from '@/utils/index'

const wxmenuStoreApi = defineStore('wxmenuStoreApi', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 微信菜单接口 **************
    // 获取列表 - 通用
    list(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 291
        data.showfield = 'wxmenuid,wxmenubaseid,wxmenuname,wxmenuntype,wxmenukey,wxmenuurl,wxmenumediaid,wxmenuappid,wxmenupagepath,wxmenuarticleid,wxmenucreatedate,wxmenucreateuser,wxmenuupdate,wxmenuupuser,wxmenurankingcount'
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取详情  - 通用
    view(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 296
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新 - 通用
    up(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 295
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增
    add(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 292
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    // 删除 - 通用
    del(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 294
        _del(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

  },
})

export default wxmenuStoreApi
